PORTABASE(1)

NAME
portabase - an easy-to-use personal database application

SYNOPSIS
portabase [ -h | --help | <file> ]
portabase command [ -p password ] [ options ] <fromfile> <tofile>

DESCRIPTION
PortaBase (portable database) is a personal database application that is available for many platforms, including Linux, Mac OS X, Windows, and Maemo.

PortaBase's features include:

- One data table per file

- String, Integer, Decimal, Boolean, Note (multi-line text), Date,
  Time, Calculation, Sequence, Image, and Enum column types

- Add, edit, and delete rows of data

- Custom data views (subsets of the columns in any order)

- Filter the displayed rows using sets of conditions

- Sort the rows by any combination of columns, each in ascending or
  descending order

- Optional page navigation buttons, with a custom number of rows per page

- Add, delete, rearrange, and rename columns at any time

- Specify default values for columns

- View summary statistics for columns (total, average, min, max, etc.)

- Import data from CSV, XML, and MobileDB files

- Export data to CSV, HTML, and XML files

- Command-line format conversions (to and from XML, from MobileDB, to HTML)

- Print the data grid with view, sorting, and filter applied

- Fullscreen mode option

- Optional data file encryption

- Unicode support

- Pick any available font to use throughout the application

COMMANDS
PortaBase uses the following commands to indicate a command-line file conversion:

fromxml
    Create a new PortaBase file from the input XML file.

frommobiledb
    Create a new PortaBase file from the input MobileDB file.

fromcsv
    Add rows to an existing PortaBase file from the input CSV file.

toxml
    Create a new XML file from the input PortaBase file.

tocsv
    Create a new CSV file from the input PortaBase file.

tohtml
    Create a new HTML file from the input PortaBase file.

If an encrypted PortaBase file is to be read or created, the following option can be used immediately after the command:

-p <password>
    Open or create the encrypted PortaBase file using the given password

The toxml, tocsv, and tohtml commands accept the following options:

-v <view>
    Apply the named view before exporting.

-s <sorting>
    Apply the named sorting before exporting.

-f <filter>
    Apply the named filter before exporting.

The fromcsv command supports one option:

-e <encoding>
    Specifies the text encoding of the imported CSV file; options are UTF-8 (the default) and Latin-1.

OPTIONS
PortaBase accepts the following options:

-h, --help
    Display usage instructions.

FILES
$HOME/.qt/portabaserc - user-specific settings. Stores information on font, checkbox editing, delete confirmations, etc.

AUTHOR
This manual page was written by Jeremy Bowman <jmbowman@alum.mit.edu>, for the Debian GNU/Linux system (but may be used by others).